/*
** Class:  LotROLinux.Language
** Author: Alan Jackson
** Date:   6th July 2007
**
** Class to hold details about the languages available
** for the game Lord of the Rings Online
**
** Based on a script by SNy <SNy@bmx-chemnitz.de>
**
** (C) 2007-2008 AJackson <ajackson@bcs.org.uk>
**
** This file is part of LotROLinux.
**
** LotROLinux is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 3 of the License, or
** (at your option) any later version.
**
** LotROLinux is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with LotROLinux.  If not, see <http://www.gnu.org/licenses/>.
*/
using System;

namespace LotROLinux
{
	public class Language
	{
		private const string codeEnglish = "ENGLISH";
		private const string codeEnglishUK = "EN_GB";
		private const string codeFrench = "FR";
		private const string codeGerman = "DE";
		private const string patchEnglish = "en";
		private const string patchEnglishUK = "en_GB";
		private const string patchFrench = "fr";
		private const string patchGerman = "de";
		private const string nameEnglish = "English";
		private const string nameEnglishUK = "English (UK)";
		private const string nameFrench = "Français";
		private const string nameGerman = "Deutsch";
		
		private string name;
		private string code;
		private string patch;
	
		public Language(string code)
		{
			this.code = code.ToUpper();;
			
			switch (this.code)
			{
				case codeEnglish:
					name = nameEnglish;
					patch = patchEnglish;
					break;
				case codeEnglishUK:
					name = nameEnglishUK;
					patch = patchEnglishUK;
					break;
				case codeFrench:
					name = nameFrench;
					patch = patchFrench;
					break;
				case codeGerman:
					name = nameGerman;
					patch = patchGerman;
					break;
				default:
					name = this.code;
					patch = this.code;
					break;
			}
		}
		
		public string GetCode()
		{
			return code;
		}
		
		public string GetPatchCode()
		{
			return patch;
		}
		
		public string GetName()
		{
			return name;
		}
	}
}
